#!/usr/bin/env python
import setuptools


# For reasons why you shouldn't do this, see:
#   https://caremad.io/blog/setup-vs-requirement/
# For all the fucks I give see:
#   /dev/zero
with open('requirements.txt', 'r') as f:
    requirements = f.read().splitlines()
    requirements = filter(lambda x: '==' in x, requirements)


setuptools.setup(
    name='dead-simple-ops',
    version='0.4.0',
    description='Let it be Dead Simple',
    keywords='dead-simple-ops devops deploy status monitor monitor-repos',
    author='Kevin James',
    author_email='KevinJames@thekev.in',
    url='https://github.com/TheKevJames/dead-simple-ops.git',
    license='MIT License',
    packages=setuptools.find_packages(),
    install_requires=requirements,
    include_package_data=True,
    package_data={
        'static': 'dsops/static/*',
        'templates': 'dsops/templates/*',
    },
    classifiers=[
        'Programming Language :: Python',
        'Development Status :: 4 - Beta',
        'Natural Language :: English',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Topic :: Software Development',
    ],
    entry_points={
        'console_scripts': [
            'deploy = dsops.deploy:main',
            'monitor-repos = dsops.monitor_repos:main',
            'status = dsops.status:main',
        ],
    },
)
